<?php
$polaczenie = mysqli_connect("172.18.0.2", "root", "secret", "db");

$kwerenda = mysqli_query($polaczenie, "SELECT * FROM menu ORDER BY id ASC");

$json = array();

while ($row = mysqli_fetch_assoc($kwerenda)) {
    $json[] = $row;
}

mysqli_close($polaczenie);

echo json_encode($json );
?>